Synchronization

- « Thread::isStarted

- Thread::start »

- PHP Manual
- Thread
- Synchronization

# Thread::join

(PECL pthreads >= 2.0.0)

Thread::join — Synchronization

### Description

public Thread::join(): bool

Causes the calling context to wait for the referenced Thread to finish executing

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 Join with the referenced Thread

    <?php
    class My extends Thread {
        public function run() {
            /* ... */
        }
    }
    $my = new My();
    $my->start();
    /* ... */
    var_dump($my->join());
    /* ... */
    ?>

The above example will output:

    bool(true)